Package it.ernytech.tdlib

## Class TdApi.UpdateNewCallbackQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewCallbackQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewCallbackQuery
    extends TdApi.Update

A new incoming callback query; for bots only.

### Field Summary

Fields
`long` `chatId` Identifier of the chat, in which the query was sent.
`long` `chatInstance` Identifier that uniquely corresponds to the chat to which the message was sent.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `id` Unique query identifier.
`long` `messageId` Identifier of the message, from which the query originated.
`TdApi.CallbackQueryPayload` `payload` Query payload.
`int` `senderUserId` Identifier of the user who sent the query.

### Constructor Summary

Constructors
`UpdateNewCallbackQuery()` Default constructor.
`UpdateNewCallbackQuery​(long id, int senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Unique query identifier.

#### senderUserId

    public int senderUserId

Identifier of the user who sent the query.

#### chatId

    public long chatId

Identifier of the chat, in which the query was sent.

#### messageId

    public long messageId

Identifier of the message, from which the query originated.

#### chatInstance

    public long chatInstance

Identifier that uniquely corresponds to the chat to which the message was sent.

#### payload

    public TdApi.CallbackQueryPayload payload

Query payload.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewCallbackQuery

    public UpdateNewCallbackQuery()

Default constructor.

#### UpdateNewCallbackQuery

    public UpdateNewCallbackQuery​(long id,
                                  int senderUserId,
                                  long chatId,
                                  long messageId,
                                  long chatInstance,
                                  TdApi.CallbackQueryPayload payload)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `chatId` - Identifier of the chat, in which the query was sent.
  `messageId` - Identifier of the message, from which the query originated.
  `chatInstance` - Identifier that uniquely corresponds to the chat to which the message was sent.
  `payload` - Query payload.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR